shithub: opus

Download patch

ref: fcecd29abf32164326e568acdcdf7d8e877b33b1
parent: 0fed074b0418f0b7c36e20c04841b83fd5fd7912
author: Aurélien Zanelli <[email protected]>
date: Mon May 27 11:54:31 EDT 2013

Check if opus_compare is executable in run_vectors.sh

If opus_compare doesn't exist or isn't executable, tests failed normally
which could be misleading.
So test for existence and mode to avoid this ambiguity.

--- a/tests/run_vectors.sh
+++ b/tests/run_vectors.sh
@@ -57,6 +57,11 @@
     exit 0
 fi
 
+if [ ! -x $OPUS_COMPARE ]; then
+    echo ERROR: Compare program not found: $OPUS_COMPARE
+    exit 1
+fi
+
 if [ -x $OPUS_DEMO ]; then
     echo Decoding with $OPUS_DEMO
 else